LoggingConfiguration (Gradle API 2.14.1)
Date: 2016-07-18

Package: org.gradle.api.logging.configuration

## [Java] Interface LoggingConfiguration

- A `LoggingConfiguration` defines the logging settings for a Gradle build.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `ConsoleOutput` | `getConsoleOutput()` Returns the style of logging output that should be written to the console.
    `LogLevel` | `getLogLevel()` Returns the minimum logging level to use.
    `ShowStacktrace` | `getShowStacktrace()` Returns the detail that should be included in stacktraces.
    `boolean` | `isColorOutput()` Returns true if logging output should be displayed in color when Gradle is running in a console which supports color output.
    `void` | `setColorOutput(boolean colorOutput)` Specifies whether logging output should be displayed in color.
    `void` | `setConsoleOutput(ConsoleOutput colorOutput)` Specifies the style of logging output that should be written to the console.
    `void` | `setLogLevel(LogLevel logLevel)` Specifies the minimum logging level to use.
    `void` | `setShowStacktrace(ShowStacktrace showStacktrace)` Sets the detail that should be included in stacktraces.

- - ### Method Detail

    - #### public ConsoleOutput getConsoleOutput()

      Returns the style of logging output that should be written to the console. Defaults to ConsoleOutput.Auto

    - #### public LogLevel getLogLevel()

      Returns the minimum logging level to use. All log messages with a lower log level are ignored. Defaults to LogLevel.LIFECYCLE.

    - #### public ShowStacktrace getShowStacktrace()

      Returns the detail that should be included in stacktraces. Defaults to ShowStacktrace.INTERNAL_EXCEPTIONS.

    - #### @Deprecated public boolean isColorOutput()

      Returns true if logging output should be displayed in color when Gradle is running in a console which supports color output. The default value is true.

      deprecated:
        Use getConsoleOutput() instead.
      Returns:
        true if logging output should be displayed in color.

    - #### @Deprecated public void setColorOutput(boolean colorOutput)

      Specifies whether logging output should be displayed in color.

      deprecated:
        Use setConsoleOutput(ConsoleOutput) instead.
      Parameters:
        `colorOutput` - true if logging output should be displayed in color.

    - #### public void setConsoleOutput(ConsoleOutput colorOutput)

      Specifies the style of logging output that should be written to the console.

    - #### public void setLogLevel(LogLevel logLevel)

      Specifies the minimum logging level to use. All log messages with a lower log level are ignored.

    - #### public void setShowStacktrace(ShowStacktrace showStacktrace)

      Sets the detail that should be included in stacktraces.